<?php
/**
 * WordPress Plugin - Hassle-Free Fonts
 *
 * With this plugin you can download fonts and host them yourself.
 * The goal is to make the fonts load faster and be independent of others.
 *
 * @link              https://syncment.nl
 * @since             1.0.0
 * @package           Syncment_fonts
 *
 * @wordpress-plugin
 * Plugin Name:       Hassle-Free Fonts
 * Plugin URI: 		  https://syncment.nl/plugins/hassle-free-fonts
 * Description:       A hassle-free way to self-host Google Fonts.
 * Version:           1.0.0
 * Author:            Syncment.nl
 * Author URI:        https://syncment.nl
 * License:           GPL-3.0+
 * License URI:       http://www.gnu.org/licenses/gpl-3.0.txt
 * Text Domain:       hassle-free-fonts
 */

defined( 'ABSPATH' ) || exit;

/**
 * The core plugin class
 */
require plugin_dir_path( __FILE__ ) . 'includes/class-hassle-free-fonts.php';

/**
 * The code that runs during plugin activation.
 */
function activate_hassle_free_fonts() {
	$plugin = Hassle_Free_Fonts::get_instance();
	$plugin->activate();
}
register_activation_hook( __FILE__, 'activate_hassle_free_fonts' );

/**
 * The code that runs during plugin deactivation.
 */
function deactivate_hassle_free_fonts() {
	$plugin = Hassle_Free_Fonts::get_instance();
	$plugin->deactivate();
}
register_deactivation_hook( __FILE__, 'deactivate_hassle_free_fonts' );

/**
 * Begins execution of the plugin.
 */
function run_hassle_free_fonts() {
	$plugin = Hassle_Free_Fonts::get_instance();
	$plugin->init();
}
run_hassle_free_fonts();